Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | Related Pages | Search for

# eoG3Replacement< EOT > Class Template Reference

eoG3Replacement is an eoReplacement: - no strong elitism (is suppposed to be within a steady-state engine) - choose N (2) parents RANDOMLY - remove them from the parent population - merge offspring and the N removed parents - select best N of this merged population - put them back into parent population More...

`#include <eoG3Replacement.h>`

Inheritance diagram for eoG3Replacement< EOT >:

List of all members.

## Public Member Functions
| eoG3Replacement (eoHowMany _howManyEliminatedParents=eoHowMany(2, false))
void | operator() (eoPop< EOT > &_parents, eoPop< EOT > &_offspring)
| The pure virtual function that needs to be implemented by the subclass.
## Private Attributes
eoLinearTruncateSplit< EOT > | split
eoTruncateSplit< EOT > | reduce
eoPlus< EOT > | plus

## Detailed Description

### template<class EOT>
class eoG3Replacement< EOT >

eoG3Replacement is an eoReplacement: - no strong elitism (is suppposed to be within a steady-state engine) - choose N (2) parents RANDOMLY - remove them from the parent population - merge offspring and the N removed parents - select best N of this merged population - put them back into parent population

Definition at line 50 of file eoG3Replacement.h.

The documentation for this class was generated from the following file:

- eoG3Replacement.h